> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1mecourses test out



## OpenAPI

````yaml /api/openapi.json post /api/v1/me/courses/{courseId}/test-out
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/me/courses/{courseId}/test-out:
    post:
      tags:
        - courses
      operationId: takeTestOut
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                answers:
                  maxItems: 50
                  type: array
                  items:
                    type: object
                    properties:
                      itemId:
                        type: string
                        minLength: 1
                      optionId:
                        type: string
                        minLength: 1
                    required:
                      - itemId
                      - optionId
              required:
                - answers
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  passed:
                    type: boolean
                  percent:
                    type: integer
                    minimum: 0
                    maximum: 100
                  certificate:
                    anyOf:
                      - $ref: '#/components/schemas/Certificate'
                      - type: 'null'
                required:
                  - passed
                  - percent
                  - certificate
                additionalProperties: false
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    Certificate:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        code:
          type: string
          minLength: 1
        userId:
          type: string
          minLength: 1
        learnerName:
          type: string
          minLength: 1
        courseId:
          type: string
          minLength: 1
        courseTitle:
          type: string
          minLength: 1
        issuedAt:
          type: string
          minLength: 1
        basis:
          type: string
          enum:
            - completed
            - tested-out
        replaces:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        replacedBy:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - id
        - code
        - userId
        - learnerName
        - courseId
        - courseTitle
        - issuedAt
        - basis
        - replaces
        - replacedBy
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````